update tagents_product
set fisonsale=0,
    fonsaleby=null,
    fonsaledate=null,
    foffsaleby=$username$,
    foffsaledate=getDate(),
    changeby=$username$,
    changedate=getDate()
where siteid=$siteid$ and tagentsid=$tagentsid$ and tagents_productid = $tagents_productid$